View dashboard chart result

Read the latest results of the chart; the latest snapshot before the specified time point can be read through at.

HTTP
GET $CLOUDSIGMA_API_BASE/data-dashboards/{dashboard_id}/charts/{chart_id}/result

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

Set the operation-specific values used in the request:

  • $DASHBOARD_ID: dashboard_id to use, specifying the target resource via the request path.

  • $CHART_ID: chart_id to use, specifying the target resource through the request path.

Request

Shell
curl -X GET "$CLOUDSIGMA_API_BASE/data-dashboards/$DASHBOARD_ID/charts/$CHART_ID/result?at=$AT" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Path parameters

Parameters

Type

Is it required

Description

dashboard_id

string

Yes

Data dashboard ID.

chart_id

string

Yes

Chart ID.

Query parameters

Parameters

Type

Is it required

Description

at

string

No

RFC 3339 time point.

Successful response

When the request is successful, the data of this operation is returned. Just because the write or run request has been accepted does not mean that the subsequent processing has been completed; please confirm the result based on the return status or subsequent query.

JSON
{
  "code": 200,
  "data": {"execution_id": "exec-001", "status": "completed", "mode": "live", "result": {"total": 1}}
}

The response fields are as follows.

Field

Type

Description

data.execution_id

string

Chart run ID.

data.status

string

Run or result status.

data.mode

string

Result selection mode.

data.result

object

Query result; returned when successful.

Error response

JSON
{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}
FieldTypeDescription
codeinteger or stringError code or status.
messagestringError message.
Last updated on